# Ansible role for selecting tests to be run

Put this role in your test_local.yml playbook.

You'll need to have the following input variables defined:

* tests_docker: A list of tests to run only in a docker container (optional)
* tests_not_docker: A list of tests to run only when NOT in a docker container (optional)
* tests_atomic: A list of tests to run only on Atomic Host (optional)
* tests_not_atomic: A list of tests to run only when NOT on Atomic Host (optional)
* tests_all: A list of tests to always run (optional)

When the role is completed, the following variable will be set:

* selected_tests: The list of selected tests

Run another role in your playbook after this role to run the list of selected tests. For example, standard-test-rhts.

```yaml
---
# This first play always runs on the local staging system
- hosts: localhost

  roles:
  - role: standard-test-selector
    tests_docker:
    - dockertest1
    - dockertest2
    tests_not_docker:
    - nondockertest1
    - nondockertest2
    tests_atomic:
    - atomictest1
    - atomictest2
    tests_not_atomic:
    - nonatomictest1
    - nonatomictest2
    tests_all:
    - alltest1
    - alltest2

  - role: standard-test-beakerlib
    tests: "{{ selected_tests }}"
    required_packages:
    - package1          # alltest1 needs foo command
```
